import Vue, { PropType } from 'vue';
import { PropDesc } from '../../types/props';
export declare function setPropValue(vm: Vue, target: AMap.Map | AMap.Component, definition: PropDesc<any>, value: any): void;
export declare function bindProps(vm: Vue, target?: AMap.Map | AMap.Component, propDefinitions?: Record<string, PropDesc<any>>): void;
export declare function defineProp<T = any>(setter: string, type?: PropType<T>, defaultValue?: T): PropDesc<T>;
export declare function defineProp<T = any>(setter: string, type?: any[], defaultValue?: T): PropDesc<T>;
export declare function defineProp<T = any>(desc: PropDesc<T>): PropDesc<T>;
